For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get DNS snapshot list

Retrieve DNS snapshots for a domain. Use this endpoint to view available DNS backup points for restoration.

Get DNS snapshot list

get

Retrieve DNS snapshots for a domain.

Use this endpoint to view available DNS backup points for restoration.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
domainstringRequired

Domain name

Example: mydomain.tld
Responses
200

Success response

application/json
idintegerOptional

Snapshot ID

Example: 5341
reasonstringOptional

Reason of the update

Example: Zone records update request
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
get/api/dns/v1/snapshots/{domain}
GET /api/dns/v1/snapshots/{domain} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": 5341,
    "reason": "Zone records update request",
    "created_at": "2025-02-27T11:54:22Z"
  }
]

Last updated

Was this helpful?